#!/bin/bash
# Script to split installation into tarball feeds
# - base     : items that must always be installed
# - dev      : items for development: header files, dynamic libraries links
# - staticdev: static libraries
# - dbg      : items for delivery with debug feature unstripped
# - doc      : items for delivery with generated documentations
# - locale   : items related to internationalization
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_buildstep_prepend

do_split

do_buildstep_append
