#!/bin/bash
# Extract tarball into directory
# AC6_TAR_FILE as variable
# AC6_DESTDIR as variable
# AC6_STRIP_COMP as variable

if [ -s "$AC6_TAR_FILE" ] && [ -d "$AC6_DESTDIR" ]; then
	echo "Extracting ... "
	if [ -n "$AC6_STRIP_COMP" ]; then
		tar xf $AC6_TAR_FILE --strip-components=$AC6_STRIP_COMP -C $AC6_DESTDIR
	else
		tar xf $AC6_TAR_FILE -C $AC6_DESTDIR
	fi
fi